net.sf.jasperreports.engine.fill

## Class SortedDataSource

- java.lang.Object
- - net.sf.jasperreports.engine.fill.SortedDataSource

- All Implemented Interfaces:
    IndexedDataSource, JRDataSource, JRRewindableDataSource

      public class SortedDataSource
      extends java.lang.Object
      implements JRRewindableDataSource, IndexedDataSource

  Version:
    $Id: SortedDataSource.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SortedDataSource.SortRecord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortedDataSource(java.util.List<SortedDataSource.SortRecord> records, java.lang.Integer[] recordIndexes, java.lang.String[] columnNames)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getFieldValue(JRField jrField)` Gets the field value for the current position.
    `int` | `getRecordIndex()` Returns the index of the current record in the data source.
    `java.util.List<SortedDataSource.SortRecord>` | `getRecords()`
    `void` | `moveFirst()` Moves back to the first element in the data source.
    `boolean` | `next()` Tries to position the cursor on the next element in the data source.
    `void` | `setRecordFilteredIndex(int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortedDataSource

          public SortedDataSource(java.util.List<SortedDataSource.SortRecord> records,
                          java.lang.Integer[] recordIndexes,
                          java.lang.String[] columnNames)

  - ### Method Detail

    - #### next

          public boolean next()

      Description copied from interface: `JRDataSource`
      Tries to position the cursor on the next element in the data source.
      Specified by:
        `next` in interface `JRDataSource`
      Returns:
        true if there is a next record, false otherwise

    - #### setRecordFilteredIndex

          public void setRecordFilteredIndex(int index)

    - #### getFieldValue

          public java.lang.Object getFieldValue(JRField jrField)

      Description copied from interface: `JRDataSource`
      Gets the field value for the current position.
      Specified by:
        `getFieldValue` in interface `JRDataSource`
      Returns:
        an object containing the field value. The object type must be the field object type.

    - #### moveFirst

          public void moveFirst()

      Description copied from interface: `JRRewindableDataSource`
      Moves back to the first element in the data source.
      Specified by:
        `moveFirst` in interface `JRRewindableDataSource`

    - #### getRecordIndex

          public int getRecordIndex()

      Description copied from interface: `IndexedDataSource`
      Returns the index of the current record in the data source. Note that this would not necessarily be the same as the index of the record in the order in which the data appears in the report, as after sorting or filtering a data source the original index of the record will be returned.
      Specified by:
        `getRecordIndex` in interface `IndexedDataSource`
      Returns:
        the index of the current record

    - #### getRecords

          public java.util.List<SortedDataSource.SortRecord> getRecords()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com